package com.ltt.compass.weather.api

import okhttp3.RequestBody
import okhttp3.ResponseBody
import retrofit2.Call
import retrofit2.http.*


interface PostRequest {
    /**
     * 发送Post请求
     * @param url URL路径
     * @param requestMap 请求参数
     * @return
     */
    @FormUrlEncoded
    @POST
    fun postMap(@Url url: String, @FieldMap requestMap: MutableMap<String, String>): Call<ResponseBody>

    /**
     * 发送Post请求
     * @param url URL路径
     * @param requestBody 请求参数
     * @return
     */
    @POST
    fun postJson(@Url url: String, @Body requestBody:RequestBody ): Call<ResponseBody>

}