package com.ltt.compass.weather.base

import java.lang.ref.WeakReference

abstract class BasePresenter<V : IBaseView> {
    var mViewRef: WeakReference<V>? = null
    fun attachView(view: IBaseView) {
        this.mViewRef = WeakReference(view as V)
    }

    fun isAttach(): Boolean {
        return mViewRef != null && mViewRef!!.get() != null
    }

    fun detachView() {
        if (isAttach()) {
            mViewRef!!.clear()
            mViewRef = null
        }
    }
    abstract fun initDb()
}