package com.ltt.compass.weather.util


import android.annotation.SuppressLint
import android.content.Context
import android.content.SharedPreferences

@SuppressLint("CommitPrefEdits")
class SettingConfig {
    companion object{
        private  var sSettingConfig: SettingConfig? = null
        private val FILE_NAME = "SettingConfig"
        private var mSharedPreferences: SharedPreferences? = null
        private val KEY_FIRST_LAUNCH = "FIRST_LAUNCH"
        @Synchronized
        fun getInstance(context: Context): SettingConfig {
            if (sSettingConfig == null) {
                sSettingConfig = SettingConfig()
                mSharedPreferences = context.applicationContext.getSharedPreferences(FILE_NAME, Context.MODE_PRIVATE)
            }
            return sSettingConfig!!
        }
    }


    /**
     * 温度公制还是英制
     */
    private val TEMPERATURE_UNIT_TYPE = "TEMPERATURE_UNIT_TYPE"
    /**
     * 温度公制还是英制
     */
    fun setTemperatureIsMetric(isMetric: Boolean) {
        mSharedPreferences!!.edit().putBoolean(TEMPERATURE_UNIT_TYPE, isMetric).apply()
    }
    /**
     * 温度公制还是英制
     * @return true是公制
     */
    fun getTemperatureIsMetric(): Boolean {
        return mSharedPreferences!!.getBoolean(TEMPERATURE_UNIT_TYPE, true)
    }

    /*
     *第一次进入
     */

    fun isFirstLaunch(): Boolean {
        return mSharedPreferences!!.getBoolean(KEY_FIRST_LAUNCH, true)
    }

    fun setFirstLaunch(isFirst:Boolean) {
         mSharedPreferences!!.edit().putBoolean(KEY_FIRST_LAUNCH, isFirst).apply()
    }
}